Name: urpmi-proxy
Version: 0.5.1
Release: %mkrel 3
Summary: A proxy for urpmi repository mirrors
Group: System/Packaging
License: GPLv2+
Source: %{name}-%{version}.tar.bz2
URL: https://wiki.mageia.org/en/Urpmi-proxy

BuildArch: noarch
Requires: apache
Requires: perl(Time::HiRes)
Recommends: perl(WWW::Curl::Easy)
Recommends: perl(urpm)
Recommends: perl(urpm::cfg)
Recommends: genhdlist2

%description
urpmi-proxy is an http proxy for urpmi, it allows clients to configure this
proxy as a local mirror. It fetches from configurable sources and stores it
in a local cache, during the request. You can also configure it to have an
extra repository so you can provide extra or modified packages.

This software is implemented using standard webserver proxy feature, you
need a running webserver to make it work.

You can start the apache webserver with:

	systemctl start httpd.service


%prep
%setup -q

%install
%{__mkdir_p} %{buildroot}%{_var}/cache/urpmi-proxy
%{__mkdir_p} %{buildroot}%{_datadir}/urpmi-proxy/cgi-bin
%{__cp} urpmi-proxy.cgi %{buildroot}%{_datadir}/urpmi-proxy/cgi-bin/
%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__cp} urpmi-proxy.conf %{buildroot}%{_sysconfdir}/
%{__mkdir_p} %{buildroot}%{_webappconfdir}
%{__mkdir_p} %{buildroot}%{_var}/log
touch %{buildroot}%{_var}/log/urpmi-proxy.log

install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/urpmi-proxy.conf <<EOF
# urpmi-proxy configuration

ScriptAlias /mageia /usr/share/urpmi-proxy/cgi-bin/urpmi-proxy.cgi

<Directory /usr/share/urpmi-proxy/cgi-bin>
    Require all granted
	Options +ExecCGI
</Directory>
EOF

%post
%create_ghostfile %{_var}/log/urpmi-proxy.log apache apache 0640

%files
%doc README AUTHORS TODO INSTALL LICENSE
%attr(0750,apache,apache) %dir %{_var}/cache/urpmi-proxy
%attr(0750,apache,apache) %ghost %{_var}/log/urpmi-proxy.log
%attr(0750,root,apache) %dir %{_datadir}/urpmi-proxy
%attr(0750,root,apache) %{_datadir}/urpmi-proxy/cgi-bin/urpmi-proxy.cgi
%attr(0750,root,apache) %config(noreplace) %{_sysconfdir}/urpmi-proxy.conf
%config(noreplace) %{_webappconfdir}/urpmi-proxy.conf



%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.5.1-3.mga9
+ Revision: 1812327
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 umeabot <umeabot> 0.5.1-2.mga8
+ Revision: 1546302
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 alien <alien> 0.5.1-1.mga8
+ Revision: 1486337
- Update to new version 0.5.1

* Mon Jan 06 2020 alien <alien> 0.5.0-1.mga8
+ Revision: 1476892
- Update to new version 0.5.0

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-6.mga7
+ Revision: 1276940
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 0.4.0-5.mga6
+ Revision: 933370
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 748559
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 690082
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Aug 07 2014 alien <alien> 0.4.0-2.mga5
+ Revision: 660343
- use proper %%ghost for the logfile

* Tue Aug 05 2014 alien <alien> 0.4.0-1.mga5
+ Revision: 660005
- Update to new version 0.4.0

* Sat Oct 19 2013 umeabot <umeabot> 0.3.4-2.mga4
+ Revision: 533616
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 alien <alien> 0.3.4-1.mga4
+ Revision: 474128
- New version

* Tue Jun 04 2013 zezinho <zezinho> 0.3.3-1.mga4
+ Revision: 437313
- new version adds squid proxy support

* Tue Jan 22 2013 fwang <fwang> 0.3.2-8.mga3
+ Revision: 390821
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 0.3.2-7.mga3
+ Revision: 385126
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 alien <alien> 0.3.2-6.mga3
+ Revision: 292223
- Add a bit more into description

* Tue Sep 11 2012 guillomovitch <guillomovitch> 0.3.2-5.mga3
+ Revision: 292217
- fix apache configuration file (#7419)

* Sun Sep 09 2012 guillomovitch <guillomovitch> 0.3.2-4.mga3
+ Revision: 291115
- use herein-document for webapp configuration
- drop obsoletes and tautological README.install.urpmi

* Wed Aug 29 2012 jquelin <jquelin> 0.3.2-2.mga3
+ Revision: 285469
- apache 2.4 rebuild (mga#7152)

* Wed Mar 21 2012 alien <alien> 0.3.2-1.mga2
+ Revision: 225354
- update to new release 0.3.2

* Sun Mar 04 2012 alien <alien> 0.3.1-2.mga2
+ Revision: 217950
- Add the URL

* Tue Feb 28 2012 alien <alien> 0.3.1-1.mga2
+ Revision: 215787
- Update to version 0.3.1
- Improved logging
- Implemented UNMODIFIED

* Mon Dec 05 2011 alien <alien> 0.2.4-3.mga2
+ Revision: 177112
- change README.urpmi into README.install.urpmi, no need to have it on every update

* Mon Dec 05 2011 alien <alien> 0.2.4-2.mga2
+ Revision: 177078
- Add README.urpmi to note that apache needs to be running

* Sat Oct 01 2011 alien <alien> 0.2.4-1.mga2
+ Revision: 150647
- Remove tmp directory
- Upgrade to version 0.2.4 (warning handling,fix wrong defaults,fix config file loading)
- Pre-create logfile with correct permissions
- Clean up the top of spec file
- Clean up the useless %%defattr
- Clean up the %%clean section
- imported package urpmi-proxy

